package cn.reghao.tnb.content.app.geo.model.po;

import cn.reghao.jutil.jdk.web.db.BaseObject;
import cn.reghao.tnb.content.api.dto.geo.MallReplyDto;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2023-08-31 16:56:17
 */
@NoArgsConstructor
@AllArgsConstructor
@Setter
@Getter
public class MallReply extends BaseObject<Integer> {
    private Integer itemType;
    private Long itemId;
    private Long replyId;
    private String replyContent;
    private String extra;
    private String cup;
    private String replyDate;
    private String userId;
    private String username;
    private String avatarUrl;

    public MallReply(long replyId, MallReplyDto mallReplyDto) {
        this.itemType = mallReplyDto.getItemType();
        this.itemId = mallReplyDto.getItemId();
        this.replyId = replyId;
        this.replyContent = mallReplyDto.getReplyContent();
        this.extra = mallReplyDto.getExtra();
        this.replyDate = mallReplyDto.getReplyDate();
        this.userId = mallReplyDto.getUserId();
        this.username = mallReplyDto.getUsername();
        this.avatarUrl = mallReplyDto.getAvatarUrl();
    }
}
